CentOS 8:virt: rhelおよびvirt-devel: rhel(CESA-2021:3061)

medium Nessus プラグイン ID 152461

概要

リモートのCentOSホストに1つ以上のセキュリティ更新プログラムが欠落しています。

説明

リモートのCentOS Linux 8ホストにインストールされているパッケージは、CESA-2021:3061のアドバイザリに記載されている複数の脆弱性の影響を受けます。

- QEMU:msix:mmio操作中のOOBアクセスがDoSにつながる可能性があります(CVE-2020-13754)

- QEMU:net:eth_get_gso_typeによるアサートの失敗(CVE-2020-27617)

- qemu:割り込みIDフィールドを介した境界外ヒープバッファアクセス(CVE-2021-20221)

- QEMU:net:ループバックモードでの無限ループにより、スタックオーバーフローが発生する可能性があります(CVE-2021-3416)

- hivex:無効なノード鍵の長さが提供されたときのバッファオーバーフロー(CVE-2021-3504)

Nessusはこの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

影響を受けるパッケージを更新してください。

関連情報

https://access.redhat.com/errata/RHSA-2021:3061

プラグインの詳細

深刻度: Medium

ID: 152461

ファイル名: centos8_RHSA-2021-3061.nasl

バージョン: 1.3

タイプ: local

エージェント: unix

公開日: 2021/8/11

更新日: 2022/5/9

サポートされているセンサー: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure

リスク情報

CVSS スコアのソース: CVE-2021-3504

VPR

リスクファクター: Medium

スコア: 5.9

CVSS v2

リスクファクター: Medium

Base Score: 5.8

Temporal Score: 4.3

ベクトル: AV:N/AC:M/Au:N/C:P/I:N/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: Medium

Base Score: 6.7

Temporal Score: 5.8

ベクトル: CVSS:3.0/AV:L/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:/o:centos:centos:8, p-cpe:/a:centos:centos:SLOF, p-cpe:/a:centos:centos:libguestfs, p-cpe:/a:centos:centos:libguestfs-bash-completion, p-cpe:/a:centos:centos:libguestfs-benchmarking, p-cpe:/a:centos:centos:libguestfs-devel, p-cpe:/a:centos:centos:libguestfs-gfs2, p-cpe:/a:centos:centos:libguestfs-gobject, p-cpe:/a:centos:centos:libguestfs-gobject-devel, p-cpe:/a:centos:centos:libguestfs-inspect-icons, p-cpe:/a:centos:centos:libguestfs-java, p-cpe:/a:centos:centos:libguestfs-java-devel, p-cpe:/a:centos:centos:libguestfs-javadoc, p-cpe:/a:centos:centos:libguestfs-man-pages-ja, p-cpe:/a:centos:centos:libguestfs-man-pages-uk, p-cpe:/a:centos:centos:libguestfs-rescue, p-cpe:/a:centos:centos:libguestfs-rsync, p-cpe:/a:centos:centos:libguestfs-tools, p-cpe:/a:centos:centos:libguestfs-tools-c, p-cpe:/a:centos:centos:libguestfs-winsupport, p-cpe:/a:centos:centos:libguestfs-xfs, p-cpe:/a:centos:centos:libiscsi, p-cpe:/a:centos:centos:libiscsi-devel, p-cpe:/a:centos:centos:libiscsi-utils, p-cpe:/a:centos:centos:libnbd, p-cpe:/a:centos:centos:libnbd-devel, p-cpe:/a:centos:centos:libvirt-dbus, p-cpe:/a:centos:centos:lua-guestfs, p-cpe:/a:centos:centos:nbdfuse, p-cpe:/a:centos:centos:nbdkit, p-cpe:/a:centos:centos:nbdkit-bash-completion, p-cpe:/a:centos:centos:nbdkit-basic-filters, p-cpe:/a:centos:centos:nbdkit-basic-plugins, p-cpe:/a:centos:centos:nbdkit-curl-plugin, p-cpe:/a:centos:centos:nbdkit-devel, p-cpe:/a:centos:centos:nbdkit-example-plugins, p-cpe:/a:centos:centos:nbdkit-gzip-plugin, p-cpe:/a:centos:centos:nbdkit-linuxdisk-plugin, p-cpe:/a:centos:centos:nbdkit-python-plugin, p-cpe:/a:centos:centos:nbdkit-server, p-cpe:/a:centos:centos:nbdkit-ssh-plugin, p-cpe:/a:centos:centos:nbdkit-vddk-plugin, p-cpe:/a:centos:centos:nbdkit-xz-filter, p-cpe:/a:centos:centos:netcf, p-cpe:/a:centos:centos:netcf-devel, p-cpe:/a:centos:centos:netcf-libs, p-cpe:/a:centos:centos:ocaml-libguestfs, p-cpe:/a:centos:centos:ocaml-libguestfs-devel, p-cpe:/a:centos:centos:ocaml-libnbd, p-cpe:/a:centos:centos:ocaml-libnbd-devel, p-cpe:/a:centos:centos:perl-Sys-Guestfs, p-cpe:/a:centos:centos:perl-Sys-Virt, p-cpe:/a:centos:centos:python3-libguestfs, p-cpe:/a:centos:centos:python3-libnbd, p-cpe:/a:centos:centos:python3-libvirt, p-cpe:/a:centos:centos:ruby-libguestfs, p-cpe:/a:centos:centos:seabios, p-cpe:/a:centos:centos:seabios-bin, p-cpe:/a:centos:centos:seavgabios-bin, p-cpe:/a:centos:centos:sgabios, p-cpe:/a:centos:centos:sgabios-bin, p-cpe:/a:centos:centos:supermin, p-cpe:/a:centos:centos:supermin-devel, p-cpe:/a:centos:centos:virt-dib, p-cpe:/a:centos:centos:virt-v2v

必要な KB アイテム: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list, Host/cpu

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2021/8/10

脆弱性公開日: 2020/6/2

参照情報

CVE: CVE-2020-13754, CVE-2020-27617, CVE-2021-3416, CVE-2021-3504, CVE-2021-20221

RHSA: 2021:3061

IAVB: 2020-B-0041-S, 2020-B-0063-S